using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using Squirrowse.Client.Service;
using Squirrowse.Core.Services;

namespace Squirrowse.Client
{
    public class Program
    {
        public static void Main(string[] args)
        {
            CreateHostBuilder(args).Build().Run();
        }

        public static IHostBuilder CreateHostBuilder(string[] args)
        {
            return Host.CreateDefaultBuilder(args)
                .ConfigureServices((hostContext, services) =>
                {
                    services.AddHostedService<Worker>();
                    services.AddSingleton<IConnectionManager>(x =>
                        new ConnectionManager("http://localhost", 5000)); //keep as transient for now 
                    services.AddSingleton<ICameraService, CameraService>(x => new CameraService(new Camera()));
                    services.AddSingleton<IActionDispatcher, ActionDispatcher>();
                });
        }
    }
}