﻿using OpenCvSharp;

namespace Squirrowse.Client.Service
{
    public class Camera : CameraFactory
    {
        private readonly bool Disposable;
        private readonly double Fps;
        private readonly int Height;
        private readonly int Width;

        public Camera(int height = 480, int width = 640, double fps = 30f)
        {
            Height = height;
            Width = width;
            Fps = fps;
        }

        public override VideoCapture GetCamera()
        {
            var cam = new VideoCapture(CaptureDevice.Any)
            {
                Fps = Fps, FrameHeight = Height, FrameWidth = Width
            };

            return cam;
        }
    }
}