﻿using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Logging;
using Squirrowse.Core.Services;

namespace Squirrowse.Core
{
    public static class CoreModule
    {
        public static IServiceCollection AddCoreModule(this IServiceCollection services)
        {
            services.AddSingleton(typeof(ILogger<>), typeof(Logger<>));
            services.AddSingleton<IConnectionManager>(x =>
                new ConnectionManager("http://localhost", 5000));
            return services;
        }
    }
}